summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAdam Stankiewicz <sheerun@sher.pl>2020-10-18 13:34:01 +0200
committerAdam Stankiewicz <sheerun@sher.pl>2020-10-18 13:34:01 +0200
commitbb27d0efbfaafcf83af1596a8416e798ead8f96a (patch)
treedb028575508736da57dd0bc0f71894cc591eb6c3
parent8a790ac7bfc5b49d8ea43c625bb691cfa8a0ab0b (diff)
downloadvim-polyglot-bb27d0efbfaafcf83af1596a8416e798ead8f96a.tar.gz
vim-polyglot-bb27d0efbfaafcf83af1596a8416e798ead8f96a.zip
Add regression test
-rwxr-xr-xscripts/build4
1 files changed, 4 insertions, 0 deletions
diff --git a/scripts/build b/scripts/build
index 9e305b21..d77a556a 100755
--- a/scripts/build
+++ b/scripts/build
@@ -128,6 +128,10 @@ def load_data()
for package in packages
for filetype in package["filetypes"]
+ if ["context", "man"].include?(filetype["name"]) && package["remote"]
+ puts "context and man packages caused issues in past, are you sure?"
+ exit 1
+ end
if filetype["patterns"]
for pattern in filetype["patterns"]
for p in comma_expanson(pattern["pattern"])